Optim - Test Data Management and Archiving

Expand all | Collapse all

Optim support for Db2 v11.5 : When ?

  • 1.  Optim support for Db2 v11.5 : When ?

    Posted Fri January 03, 2020 06:42 AM
    Optim Test Data Management v11.3 (Optim v11.3.0.7) does NOT support Db2 v11.5

    It's even worse: also the latest Fix Pack 8 (released December 2019) does NOT support Db2 11.5
    Come on IBM and Optim developers .....


    ------------------------------
    Erwin Hattingh
    Systems Engineer / Db2 DBA
    Triodos Bank
    ------------------------------


  • 2.  RE: Optim support for Db2 v11.5 : When ?

    Posted Fri January 03, 2020 09:52 AM
    Yep, this has been an an interesting situation for a while now. I'm surprised more folks haven't talked about this. We've tried using DB2 11.x AESE for our DB2 10.5 Federation replacement when IBM dropped the support but it's just not the same. 

    We've literally abandoned DB2 as our primary archive staging (tier 2 type approach) and switched over to MS SQL. I had to re-architect a few processes and there are some additional ETL steps but it all works!

    ------------------------------
    Danny Lankford
    3M - IT Manager
    ------------------------------



  • 3.  RE: Optim support for Db2 v11.5 : When ?

    Posted Wed January 08, 2020 04:38 PM
    Danny,

    I'm not happy to hear about the fact that you saw problems with Db2 AESE 11.1 as a follow on to IBM Federation Server 10.5.

    Do you have details on what problems you encountered?  Did you open PMRs?

    Thanks,
    Peter

    ------------------------------
    Peter Costigan
    Offering Manager, Optim Solutions
    IBM
    San Jose CA
    ------------------------------



  • 4.  RE: Optim support for Db2 v11.5 : When ?

    Posted Wed January 08, 2020 05:38 PM
    Hey Peter, 

    Yes, I submitted some RFE's (the older request for enhancements site) and a few tickets here and there. A lot of our AESE 11.x issues were specifically tied to the Federation Non-relational wrapper drivers and how they interact with with AESE 11.x. 

    We had to leave a legacy (unsupported) DB2 10.1 server behind with the old Fed wrappers behind as a "just in case" as we moved on to DB2 AESE 11.x in a our Prod env. 

    There were also some issues when using Optim Connect Server as a proxy to DB2 AESE 11.x for non-native data sources. You and I actually have had some conversations, emails, chats, about that one. But that's going off into another subject. We've managed to come up with some standard ETL workarounds using other tools but I do miss the ease of using DB2 10.1 with those non-relational fed wrappers. 





    ------------------------------
    Danny Lankford
    3M - IT Manager
    ------------------------------



  • 5.  RE: Optim support for Db2 v11.5 : When ?

    Posted Wed January 08, 2020 04:24 PM
    Hi Erwin,

    First, there is a new fixpack 8, which shipped for Optim Distributed (TDM, Data Privacy, Archive, App Retirement) in December 2019.

    Second, that new fixpack 8 also does NOT support Db2 AESE 11.5.

    Third, Optim development has started on the development work for support of Db2 AESE 11.5.  Support will be what you'd expect: for Db2 AESE 11.5 to be both an Optim natively supported data source, and also to place the Optim Directory there.  And implicitly this also means support for federation of other Db2 - supported data sources.

    Exact details of the shipment of support for Db2 AESE 11.5 are to be determined.  It may be via a new release of Optim, or an iFix to 11.3.0.8, or in a new fixpack 9 to 11.3.0.  That's from most to least likely as of today.

    Peter

    ------------------------------
    Peter Costigan
    Offering Manager, Optim Solutions
    IBM
    San Jose CA
    ------------------------------



  • 6.  RE: Optim support for Db2 v11.5 : When ?

    Posted Thu January 09, 2020 08:28 AM
    Edited by Erwin Hattingh Thu January 09, 2020 10:51 AM
    Hi  Peter,
    thanks for the update.
    Right now we are running Optim v11.3.0.7 with source/targets Db2 v11.1.3.3 
    Because of Db2 licensing (PVU versus VPC license) and Costs issues, IBM more or less is enforcing us to upgrade from Db2 v11.1 to v11.5 , and this within 3 months.
    Before that can even happen, of course we need (pre)testings of all our applications and server setup (this includes Optim)

    Sure hope IBM / Optim will deliver and support Db2 v11.5 very soon !  So far, it looks a show-stopper for our overall Db2 upgrade. 

    Will Optim Optim v11.3.0.7 (or the latest Optim v11.3.0.8)  technically work at all , with Db2 v11.5  ???
    (although officially not supported)

    ------------------------------
    Erwin Hattingh
    Systems Engineer / Db2 DBA
    Triodos Bank
    ------------------------------



  • 7.  RE: Optim support for Db2 v11.5 : When ?

    Posted Fri January 10, 2020 07:22 PM
    Hi Erwin, I understood from Optim TDM, DP and Archive Development that there were some problems with support for Db2 11.5 at the Optim 11.3.0.8 and below level.  I forget the details, but at least one thing did seem to be a problem that inhibited basic connectivity.  There is a switch you can throw to get Optim to not do a DBMS version/release level check and try to connect, but I have the fairly strong feeling I heard from development that this will not work with Optim 11.3.0.8 and below against Db2 11.5.

    Hopefully Optim development will weigh in here!

    ------------------------------
    Peter Costigan
    Offering Manager, Optim Solutions
    IBM
    San Jose CA
    ------------------------------



  • 8.  RE: Optim support for Db2 v11.5 : When ?

    Posted Mon January 13, 2020 03:47 AM
    Hi Peter,
    Our Optim TDM software was/is purchased and is under maintenance,  with an including Db2 license file for the Optim Directory (meta databases) itself.
    Please be aware that upcoming Optim's new version, that will support Db2 v11.5, also is shipped with (or customers can get it through IBM's Passport Advantage), a Db2 license that actually WORKS with any DB2 version > 10.5 (11.1 or 11.5) !

    Keep in mind, IBM has changed their Db2 license model,  PVU versus VPC licenses, but also technically , f.i. a Db2 v10.5 or v11.1 license file will NOT work on Db2 v 11.5.
    Saying that, the FREE  Db2 11.5 Developer Community edition's , with its fairly high technical limits, is very useful (in our case) for Optim's Directory usage (and it is allowed to be used in production), isn't it ?


    ------------------------------
    Erwin Hattingh
    Systems Engineer / Db2 DBA
    Triodos Bank
    ------------------------------



  • 9.  RE: Optim support for Db2 v11.5 : When ?

    Posted Mon August 10, 2020 03:10 PM
    Hi Erwin,

    In case you did not see it, Optim has added support for Db2 11.5. You need to be at Optim 11.3.0 Fix Pack 8 and apply iFix 023-A. If you use Designer, you also need to update it. The process is documented here: https://www.ibm.com/support/pages/node/6244152.

    The Detailed System Requirements have also been updated here: https://www.ibm.com/support/pages/node/604765

    Regards,
    Rick
    Optim Development Director

    ------------------------------
    Richard Spagna
    ------------------------------



  • 10.  RE: Optim support for Db2 v11.5 : When ?

    Posted Tue August 11, 2020 02:18 AM
    Hi Richard,

    thanks for the update info and link.  For what I heard, we patched with iFix 023-A a few weeks ago, to let Optim "tolerate" Db2 v11.5  :-)
    regards,
    Erwin

    ------------------------------
    Erwin Hattingh
    Systems Engineer / Db2 DBA
    Triodos Bank
    ------------------------------